Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85927 - Kernel 2.4.18-26.8.0 ext3 oops
Summary: Kernel 2.4.18-26.8.0 ext3 oops
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-10 22:52 UTC by H. Peter Anvin
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:37 UTC


Attachments (Terms of Use)

Description H. Peter Anvin 2003-03-10 22:52:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
Unable to handle kernel paging request at virtual address 43dfa57b
 printing eip:
e0813d32
*pde = 00000000
Oops: 0000
autofs eepro100 ipt_REJECT iptable_filter ip_tables i810_rng microcode mousedev
keybdev hid input usb-uhci usbcore ext3 jbd raid1
CPU:    0
EIP:    0010:[<e0813d32>]    Not tainted
EFLAGS: 00010203

EIP is at journal_try_to_free_buffers_Rcd66ad48 [jbd] 0x32 (2.4.18-26.8.0)
eax: 43dfa553   ebx: 43dfa553   ecx: 00000011   edx: c12213f0
esi: dfa55e80   edi: 00000001   ebp: 00000000   esp: d2b49e9c
ds: 0018   es: 0018   ss: 0018
Process gzip (pid: 19713, stackpage=d2b49000)
Stack: 00000000 c12ad428 cf6951a8 0011170a 00000282 00000000 c12213f0 00000030
       0011150c 0011160c e082553d c256fd80 c12213f0 00000030 c01428f2 c12213f0
       00000030 c12213f0 dfa55e80 c0135d23 c12213f0 00000030 001115aa cf6951a8
Call Trace: [<e082553d>] ext3_releasepage [ext3] 0x2d (0xd2b49ec4))
[<c01428f2>] try_to_release_page [kernel] 0x52 (0xd2b49ed4))
[<c0135d23>] drop_page [kernel] 0x1e3 (0xd2b49ee8))
[<c012f445>] drop_behind [kernel] 0x85 (0xd2b49efc))
[<c012facf>] do_generic_file_read [kernel] 0x37f (0xd2b49f0c))
[<c012fe80>] file_read_actor [kernel] 0x0 (0xd2b49f38))
[<c0130010>] generic_file_read [kernel] 0xb0 (0xd2b49f58))
[<c012fe80>] file_read_actor [kernel] 0x0 (0xd2b49f68))
[<c0140173>] sys_read [kernel] 0xa3 (0xd2b49f94))
[<c0109147>] system_call [kernel] 0x33 (0xd2b49fc0))


Code: 8b 5b 28 f6 40 19 02 75 26 39 f3 75 f1 f7 44 24 34 50 00 00

: terminus 2 ; uname -a
Linux terminus.zytor.com 2.4.18-26.8.0 #1 Mon Feb 24 10:21:42 EST 2003 i686 i686
i386 GNU/Linux


Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce

Steps to Reproduce:
The fault appears to have happened while doing a tar | gzip > file.tar.gz on a
very large file (10 GB).


Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:40:37 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.